// Copyright (c) 2010 Abe90. All rights reserved.

function loadMain(){

	settingsChanged();

	System.Gadget.onUndock = checkState;
	System.Gadget.onDock = checkState;
	
	checkState();

	System.Gadget.settingsUI = "settings.html";
	System.Gadget.onShowSettings = ShowSettings;
	System.Gadget.onSettingsClosed = settingsClosed;

	setButtons();
	loadLanguage();

	loadComplete = true;

}


function undockedState(){

	with (document.body.style){
		width = "130px";
		height = "95px";
	}

	background.style.width = "130px";
	background.style.height = "95px";
	background.src = "url(images/undocked_black.png)";

	hiddenButtons.style.display = "block";
	hiddenButtons.style.visibility = "visible";
}

function dockedState(){

	with (document.body.style){
		width = "130px";
		height = "67px";
	}

	background.style.width = "130px";
	background.style.height = "67px";
	background.src = "url(images/docked_black.png)";

	hiddenButtons.style.display = "none";
	hiddenButtons.style.visibility = "hidden";
}
	
	
function checkState(){

	if (!System.Gadget.docked) undockedState();
	else dockedState();
}



function ShowSettings(event){

	System.Gadget.Settings.write("currentTime", time);
}

function settingsClosed(event){

	if (event.closeAction == event.Action.commit) settingsChanged();
}

function settingsChanged(){

	mySetting.load();

	if(System.Gadget.Settings.read("SettingsExist")){
	
		Player.settings.volume = 100;
		Player.URL = mySetting.timerSound;

		if(!countdown){
		
			time = mySetting.timerTime;
			if(System.Gadget.Settings.read("timerStart") && !loadComplete)startTimer();
			action = "button_" + mySetting.timerAction;
			alarmTimer = mySetting.timerAlarm;
		}
	}
	
	printTime(time)
}

function setButtons(content, tagName){

	timerBtn.onmouseover = new Function("rollover(this, 'center')");
	timerBtn.onmouseout = new Function("rollover(this, 'left')");

	timerBtn.onmousedown = new Function("rollover(this, 'right')");
	timerBtn.onmouseup = new Function("rollover(this, 'center')");
		
	timerBtn.onclick = new Function("startTimer()");

	var buttons = document.getElementById("buttons").getElementsByTagName("td");   
	for(var i = 0; i < buttons.length; i++){
	
		buttons[i].onmouseover = new Function("rollover(this, 'center')");
		buttons[i].onmouseout = new Function("rollover(this, 'left')");
		buttons[i].onmousedown = new Function("rollover(this, 'right')");
		buttons[i].onmouseup = new Function("rollover(this, 'center')");
		
		if(buttons[i].id != null)buttons[i].onclick = new Function("runAction(this.id)");
	}
}

function rollover(obj, pos){

	obj.style.backgroundPosition = pos;
}

function runAction(link){

	window.location.href = "res/" + link + ".lnk";
}


function printTime(seconds){

	var ore = Math.floor( seconds / 3600);
	var minuti = Math.floor((seconds - (ore * 3600)) / 60);
	var secondi = seconds - (ore * 3600) - (minuti * 60);

	ore = (ore < 10) ? "0" + ore : ore;
	minuti = (minuti < 10) ? "0" + minuti : minuti;
	secondi = (secondi < 10) ? "0" + secondi : secondi;

	timerHours.innerText = ore;
	timerMinutes.innerText = minuti;
	timerSeconds.innerText = secondi;

	firstDot.innerText = " : ";
	secondDot.innerText = " : ";

}

function removeDot(){
	if(countdown){
		firstDot.innerText = "   ";
		secondDot.innerText = "   ";
	}
}


function timer(){
	if(countdown){

		time -= 1;

		printTime(time);


		if(time == alarmTimer){
			Player.Controls.play();
		}

		if(time == -1){
			stopTimer()

			runAction(action);
			return;
		}

		setTimeout("removeDot()", 500);
		setTimeout("timer()", 1000);
	}
}

function startTimer(){
	if(!countdown){
		countdown = true;
		timerBtn.style.backgroundImage = "url(images/button_pause.png)";
		setTimeout("timer()", 500);
		removeDot();
	}
	else {
		countdown = false;
		Player.Controls.stop();
		timerBtn.style.backgroundImage = "url(images/button_play.png)";
	}
}

function stopTimer(){
	countdown = false;

	time = System.Gadget.Settings.read("timerTime");
	
	Player.Controls.stop();
	timerBtn.style.backgroundImage = "url(images/button_play.png)";
	
	printTime(time);
}